import { TemplateRef } from '@angular/core';
import { NotificationService } from '@progress/kendo-angular-notification';
import * as i0 from "@angular/core";
export interface ToastNotification {
    content: string | TemplateRef<any> | Function;
    animation?: any;
    position?: any;
    type?: any;
    closable?: boolean;
    hideAfter?: number;
}
export declare class ToastNotificationService {
    private notificationService;
    constructor(notificationService: NotificationService);
    showToastNotification(notification: ToastNotification): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ToastNotificationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ToastNotificationService>;
}
